mui.init({
	swipeBack: true,
});

var userInfo;
var baseURL;
if(mui.os.plus) {
	mui.plusReady(function() {
		if(plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
			network = false;
		}
		uuid = plus.device.uuid;
		baseURL = plus.storage.getItem("baseURL");
		userInfo = JSON.parse(plus.storage.getItem("userInfo"));

		var self = plus.webview.currentWebview();
		if(self.data) {
			initInfo(JSON.parse(self.data));
		}
	});
}

function initInfo(data) {
	if(data) {
		document.getElementsByName("cusnm")[0].value = data.chnm;
		document.getElementsByName("linkman")[0].value = data.contman;
		document.getElementsByName("linktel")[0].value = data.custel;
		document.getElementsByName("linkcell")[0].value = data.cusphone;
		document.getElementsByName("linkqq")[0].value = data.cusqq;
		document.getElementsByName("email")[0].value = data.cusemail;
		document.getElementsByName("address")[0].value = data.cusaddr;
		document.getElementById("cusinf_id").value = data.cusinf_id;
	}
}

//保存联系人
document.querySelector(".contact_add_icon").addEventListener("click", function() {
	if(checkInfo()) {
		execute();
	}
});

//验证输入的信息
function checkInfo() {
	var cusnm = document.getElementsByName("cusnm")[0].value;
	var linkman = document.getElementsByName("linkman")[0].value;
	var linktel = document.getElementsByName("linktel")[0].value;
	var linkcell = document.getElementsByName("linkcell")[0].value;
	var linkqq = document.getElementsByName("linkqq")[0].value;
	var email = document.getElementsByName("email")[0].value;

	if(cusnm == "") {
		mui.toast("客户全称不能为空");
		return false;
	} else if(linkman == "") {
		mui.toast("联系人不能为空");
		return false;
	} else if(linktel == "") {
		mui.toast("联系电话不能为空");
		return false;
	} else if(!checktel(linktel)) {
		mui.toast("请输入正确的联系电话");
		return false;
	} else if(!checkCell(linkcell)) {
		mui.toast("请输入正确的手机号码");
		return false;
	} else if(!checkQq(linkqq)) {
		mui.toast("请输入正确的QQ号码");
		return false;
	} else if(!checkEm(email)) {
		mui.toast("请输入正确的电子邮箱");
		return false;
	}
	return true;
}

//验证电话
function checktel(text) {
	var regexp = new RegExp("^(0[0-9]{2,3}/-)?([2-9][0-9]{6,7})+(/-[0-9]{1,4})?$");
	if(regexp.test(text)) {
		return true;
	} else {
		return false;
	}
}

//验证手机号
function checkCell(text) {
	var regexp = /^1\d{10}$/;
	if(text == "") {
		return true; //可以不输入手机号
	} else {
		if(regexp.test(text)) {
			return true;
		} else {
			return false;
		}
	}
}

//验证qq号码

function checkQq(text) {
	var regex = /^[1-9]\d{5,8}$/;
	if(text == "") {
		return true;
	} else {
		if(regex.test(text)) {
			return true;
		} else {
			return false;
		}
	}
}
//验证邮箱
function checkEm(text) {
	var regex = /^[^\.@]+@[^\.@]+\.[a-z]+$/;
	if(text == "") {
		return true;
	} else {
		if(regex.test(text)) {
			return true;
		} else {
			return false;
		}
	}
}

var addSuccessflg = false;
//执行后台注册事件
function execute() {
	var cusinf_id = document.getElementById("cusinf_id").value;
	var cusnm = document.getElementsByName("cusnm")[0].value;
	var linkman = document.getElementsByName("linkman")[0].value;
	var linktel = document.getElementsByName("linktel")[0].value;
	var linkcell = document.getElementsByName("linkcell")[0].value;
	var linkqq = document.getElementsByName("linkqq")[0].value;
	var email = document.getElementsByName("email")[0].value;
	var address = document.getElementsByName("address")[0].value;

	var param = {
		m_user_id: userInfo.m_user_id,
		cusinf_id: cusinf_id,
		adman_code: userInfo.adman_code,
		user_name: userInfo.user_name,
		user_no: userInfo.user_no,
		chnm: cusnm,
		cusphone: linkcell,
		custel: linktel,
		contman: linkman,
		cusqq: linkqq,
		cusemail: email,
		cusaddr: address
	}

	var url = baseURL + "/shendongApp/editLogin.do?actioncode=saveMyCus";
	plus.nativeUI.showWaiting();
	mui.ajax(url, {
		data: param,
		dataType: 'json',
		type: 'post',
		timeout: 8000,
		crossDomain: false,
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if(data.msg == "success") {
				mui.fire(plus.webview.getWebviewById("contact_sub.html"), "reloadData");
				mui.toast("保存成功");
				mui.back();
			} else {
				mui.toast("操作失败");
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast("网络繁忙，请检查你的网络环境");
		}
	});
}