mui.init({
	swipeBack: true,
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			height: 50, //可选,默认50.触发下拉刷新拖动距离,
			contentdown: "下拉刷新", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
			contentover: "释放刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
			contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载信息...',
			contentnomore: '没有更多信息了',
			callback: pullupRefresh
		},
		deceleration: 0.0005,
		bounce: true
	}
});
var baseURL;
var userInfo_xs;
//初始化加载数据
mui.plusReady(function() {
	$("form").css("background-color", $("#pullrefresh").css("background-color"));
	baseURL = plus.storage.getItem("baseURL");
	userInfo_xs = JSON.parse(plus.storage.getItem("userInfo_xs"));
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().pullupLoading();
	}, 10);
});
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	page = 1; //初始化page为1
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		getData(page, true);
		page++;
	}, 1500);
}
//搜索指定客户
$("form").submit(function() {
	console.log("add");
	page = 1;
	getData(1);
	return false;
});
//自定义事件，用于主页面触发
window.addEventListener("headTap", function(data) {
	var wd = data.detail.keywords;
	document.getElementById("keywords").value = wd;
	//主动触发下拉刷新， 并设置原有列表偏移顶部
	document.querySelector(".contact_main").innerHTML = '';
	mui('#pullrefresh').pullRefresh().enablePullupToRefresh(); //重置
	page = 1;
	mui('#pullrefresh').pullRefresh().pullupLoading();
	if(disableflg) {
		//如果执行了取消下拉， 那么下拉事件便会失效， 因此
		getData(page);
	}
});

//重新加载事件
window.addEventListener("reloadData", function(data) {
	//主动触发下拉刷新， 并设置原有列表偏移顶部
	document.querySelector(".contact_main").innerHTML = '';
	mui('#pullrefresh').pullRefresh().enablePullupToRefresh(); //重置
	page = 1;
	mui('#pullrefresh').pullRefresh().pullupLoading();

	if(disableflg) {
		//如果执行了取消下拉， 那么下拉事件便会失效， 因此
		getData(page);
	}
});
//定义执行了取消下拉事件
var disableflg = false;
var page = 1;
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	getData(page);
	page++;
}

//后台获取数据
function getData(page) {
	mui('#pullrefresh').pullRefresh().enablePullupToRefresh(); //重置
	var params = {
		page: page,
		pagesize: '10',
		user_id: JSON.parse(plus.storage.getItem("userInfo_xs")).user_id,
		kehu_name: $("#kehu_name").val()
	};
	console.log(JSON.stringify(params));
	var url = baseURL + "/shendongApp/editLogin.do?actioncode=getMyCustomer";
	mui.ajax(url, {
		data: params,
		dataType: 'json', //服务器返回格式数据
		type: 'post', //HTTP请求类型
		timeout: 8000, //超时时间设置为10秒；
		crossDomain: false,
		success: function(data) {
			console.log("客户" + JSON.stringify(data));
			if(data != null && data != "null") {
				createDowList(page, data.result);
			} else {
				$(".contact_search").css("background-color", $("body").css("background-color"));
				document.querySelector(".contact_main").innerHTML = "<div style='text-align: center;background-color: " + $("#pullrefresh").css("background-color") + ";'>对不起，未找到匹配的联系人信息</div>";
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				disableflg = true;
			}
		},
		error: function(xhr, type, errorThrown) {
			dealError();
		}
	});
}

//网络繁忙，请检查你的网络环境时， 隐藏上拉状态
function dealError() {
	console.log("contact_sub网络繁忙，请检查你的网络环境！");
	mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
}
$(".contact_main").on("tap", ".contact_main_unit", function() {
	var info = {
		company: $(this).find($("span[name='company']")).text(),
		adman_link: $(this).find($("b[name='adman_link']")).text(),
		adman_phone: $(this).find($("a[name='adman_phone']")).text(),
		cusinf_id: $(this).attr("id")
	};
	mui.openWindow({
		url: "visit_add.html",
		id: 'visit_add.html',
		extras: {
			info: info
		}
	});
});
//创建dom 节点
function createDowList(page, data) {
	var $res = data;
	var length = $res.length;
	var flag = false;
	if(length < 10) {
		flag = true;
	}
	mui('#pullrefresh').pullRefresh().endPullupToRefresh(flag); //参数为true代表没有更多数据了。		
	var html = "";
	for(var i = 0; i < $res.length; i++) {
		html += "<div class=\"contact_main_unit\" id='" + $res[i].cusinf_id + "'>";
		html += "<div class=\"contact_main_unit_name\">公司：<span name='company'>" + ($res[i].chnm == null ? "" : $res[i].chnm);
		html += "</span></div>";
		html += "<div class=\"contact_main_unit_other\">";
		html += "<div class='adman_link_left'>联系人：<b name='adman_link' style='color:blue'>" + ($res[i].corpor == null ? "-" : $res[i].corpor) + "</b></div><div class='adman_phone_right'>电话:<a href='#' class='tel' name='adman_phone'>" + ($res[i].custel == null ? "" : $res[i].custel) + "</a></div>";
		html += "</div>";
		html += "<div class=\"contact_main_unit_icon\">";
		html += "</div>";
		html += "</div>";
	}

	if(page == "1") {
		document.querySelector(".contact_main").innerHTML = html;
	} else {
		document.querySelector(".contact_main").innerHTML = document.querySelector(".contact_main").innerHTML + html;
	}
	//生成之后，注册节点信息
	bindEvent();
}

function bindEvent() {
	//注册拨打号码事件
	$(".contact_main").on("tap", ".tel", function(event) {
		$(this).css('color', "green");
		var tel = $(this).text();
		plus.device.dial(tel, true);
		event.stopPropagation();
	});
}