mui.init({
	gestureConfig: {
		swipeBack: true,
		longtap: true
	},
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			height: 50, //可选,默认50.触发下拉刷新拖动距离,
			contentdown: "下拉刷新运价", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
			contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
			contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载运价...',
			contentnomore: "没有更多运价了",
			callback: pullupRefresh
		},
		deceleration: 0.0005,
		bounce: true
	}
});

var baseURL;
var uuid;
var adman_code;
var user_no;
var m_user_id;
mui.plusReady(function() {
	baseURL = plus.storage.getItem("baseURL");
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().pullupLoading();
	}, 10);
	if(plus.storage.getItem('personFlag') == "1") {
		adman_code = JSON.parse(plus.storage.getItem("userInfo")).adman_code;
		user_no = JSON.parse(plus.storage.getItem("userInfo")).user_no;
		m_user_id = JSON.parse(plus.storage.getItem("userInfo")).m_user_id;
	} else {
		adman_code = '';
		user_no = JSON.parse(plus.storage.getItem("userInfo_xs")).login_name;
		m_user_id = JSON.parse(plus.storage.getItem("userInfo_xs")).user_id;
	}
	uuid = plus.device.uuid;
	dealDOM();
});
//定义三种方式是否为选中状态
var zpyquery = "yes"; //默认最便宜
var zkquery = "";
var zdaquery = "";

var count = 0;
var page = 1;
var request,
	result = null,
	jsonData,
	data,
	length,
	ss_rc20pr,
	ss_rc40pr,
	ss_rc40hq,
	freight_id;
var disableflg = false;
window.addEventListener("headTap", function(data) {
	page = 1;
	var id = data.detail.id;
	if(id == "zpyquery") { //最便宜
		zpyquery = "yes";
		zkquery = "";
	} else if(id == "zkquery") { //最快
		zpyquery = "";
		zkquery = "yes";
	} else if(id == "zdaquery") { //直达
		if(zdaquery) {
			zdaquery = "yes";
		} else {
			zdaquery = "";
		}
	}
	document.querySelector(".bill_main_two").innerHTML = '';
	page = 1;
	mui('#pullrefresh').pullRefresh().enablePullupToRefresh(); //重新启用上拉加载
	mui('#pullrefresh').pullRefresh().pullupLoading();
	if(disableflg) {
		//如果执行了取消下拉， 那么下拉事件便会失效， 因此
		getData(page);
	}
	mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
});

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		page = 1; //初始化page为1
		getData(page);
		page++;
	}, 500);

}

/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	console.log("aaaa");
	setTimeout(function() {
		getData(page);
		page++;
	}, 500)
}
//从服务器加载数据
function getData(page) {
	var url = baseURL + "/shendongApp/freight/editFreight.do?actioncode=getsolutionlist";
	var param = plus.storage.getItem("freightRequest");
	jsonData = JSON.parse(param);
	var params = {
		m_user_id: m_user_id, //判断当前用户是否有收藏的运价
		stport: jsonData.stport,
		end_port: jsonData.end_port,
		chsnm: jsonData.chsnm,
		zkquery: zkquery, //最快，参数为yes
		zpyquery: zpyquery, //最便宜
		zdaquery: zdaquery, //直达
		page: page,
		pagesize: "10"
	};
	mui.ajax(url, {
		data: params,
		dataType: 'json', //服务器返回格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(temp) {
			console.log("epppp" + JSON.stringify(temp));
			result = temp;
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			if(result) {
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh(); //重新启用上拉加载
				createDomList(page);
				disableflg = false;
			} else {
				document.querySelector(".bill_main_two").innerHTML = "<div style='text-align: center;'>对不起，没有查询到符合条件的运价</div>";
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh(); //禁用上拉加载
				disableflg = true;
			}
		},
		error: function(xhr, type, errorThrown) {
			dealError();
		}
	});
	if(plus.storage.getItem("personFlag") == "1") {
		queryRecommend();
	}
}
//处理异常
function dealError() {
	console.log("f_result_sub网络繁忙，请检查你的网络环境！");
	mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
	mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
	disableflg = true;
}
//生成dom节点
function createDomList(page) {
	data = result.result;
	length = data.length;
	var flag = false;
	if(length < 10) {
		flag = true;
	}
	mui('#pullrefresh').pullRefresh().endPullupToRefresh(flag); //参数为true代表没有更多数据了。
	var table = document.body.querySelector('.bill_main_two');
	var html = "";
	//循环插入每个运价
	for(var i = 0; i < length; i++) {
		var collectflg = data[i].collectflg; //1为已收藏，2为未收藏
		var collect;
		var collect_id = data[i].collect_id;
		if(collectflg == "1") {
			collect = "<div id='" + collect_id + "' class='mui-icon mui-icon-star-filled' style='color:red'></div>";
		} else {
			collect = "<div id='" + collect_id + "' class='mui-icon mui-icon-star' style='color:'''></div>";
		}
		ss_rc20pr = data[i].ss_rc20pr;
		ss_rc40pr = data[i].ss_rc40pr;
		ss_rc40hq = data[i].ss_rc40hq;
		var d1 = new Date();
		var d2 = new Date(d1);
		d2.setDate(d1.getDate() + 7);
		var enddate = d2.getFullYear() + "-" + (d2.getMonth() + 1) + "-" + d2.getDate(); //运价截止日期

		if(ss_rc20pr || ss_rc40pr || ss_rc40hq) {
			html += "<div class='bill_main_unit' id=" + data[i].freight_id + ">" +
				"<div className='bill_main_unit_top'>" +
				"<div class=\"bill_main_unit_top_port\">" +
				"<span id=" + data[i].freight_id + "stportnm>" + (data[i].stport_chnm == null ? "-" : data[i].stport_chnm) + "</span>—" +
				"<span id=" + data[i].freight_id + "ss_transport>" + (data[i].transport_name == null ? '直达' : data[i].transport_name) + "</span>—" +
				"<span id=" + data[i].freight_id + "endportnm>" + (data[i].endport_chnm == null ? "-" : data[i].endport_chnm) + "</span>" +
				"</div>" +
				"<div class=\"bill_main_unit_top_condition\" id=" + data[i].freight_id + "portarea>" +
				(data[i].portarea_nm == null ? "" : data[i].portarea_nm) +
				"</div>" +
				"</div>" +
				"<div class='bill_main_unit_detail'>" +
				"<div class=\"bill_main_unit_detail_left\">" +
				"<div class=\"bill_main_unit_detail_left_anchor\">" +
				"挂靠：<span id=" + data[i].freight_id + "guakao style='font-weight:bold;'>" + (data[i].ss_anchport == null ? "" : data[i].ss_anchport) + "</span>" +
				"</div>" +
				"<div class=\"bill_main_unit_detail_left_ship\">" +
				"船公司/班期：<span id=" + data[i].freight_id + "company>" + (data[i].chsnm == null ? "-" : data[i].chsnm) + "</span>/<span>周</span><span id=" + data[i].freight_id + "ss_schedule>" + (data[i].ss_schedule == null ? "-" : data[i].ss_schedule) + "</span>" +
				"</div>" +
				"<div class=\"bill_main_unit_detail_left_time\">" +
				"有效期/航程：<span id=" + data[i].freight_id + "date>" + data[i].ss_efdate + "至" + enddate + "</span>/<span id=" + data[i].freight_id + "voyage>" + (data[i].ss_voyage == null ? "-" : data[i].ss_voyage) + "</span>天" +
				"</div>" +
				"<div class=\"bill_main_unit_detail_left_sale\">" +
				"20GP/40GP/40HC：<span style='font-weight:bold;color:#F5B021' id=" + data[i].freight_id + "20gp>" + (ss_rc20pr == null ? '电询' : ss_rc20pr) + "</span>/<span id=" + data[i].freight_id + "40gp style='font-weight:bold;color:#F5B021'>" + (ss_rc40pr == null ? '电询' : ss_rc40pr) + "</span>/<span id='40hc' style='font-weight:bold;color:#F5B021'>" + (ss_rc40hq == null ? '电询' : ss_rc40hq) + "</span>" + "</div>" +
				"</div>" +
				"<div class=\"freight_main_unit_detail_right\">" +
				"<div class='bill_main_unit_detail_right_star'>" + collect +
				"</div>" +
				//						"<div class=\"bill_main_unit_detail_right_detail\">" +
				//						"详情" +
				//						"</div>" +
				"</div>" +
				"</div>" +
				"</div>";
		}
	}

	if(page == "1") {
		table.innerHTML = "";
		table.innerHTML = html;
	} else {
		table.innerHTML = table.innerHTML + html;
	}
	//			dealDOM(); //操作生成的dom节点
}

//操作生成的DOM 
function dealDOM() {
	mui(".bill_main_two").on("longtap", '.bill_main_unit', function() {
		if(user_no) {
			var star = this.childNodes;
			var freight_id = this.id;
			var freight_type = "1"; //表示整箱
			var collect_id2 = star[1].childNodes[1].childNodes[0].childNodes[0].id; //取消收藏所需要的主键
			var collect_type = star[1].childNodes[1].childNodes[0].childNodes[0].className;
			if(collect_type == "mui-icon mui-icon-star") {
				collectOp(freight_id, freight_type, "add", "none", star); //执行添加收藏
			} else if(collect_type == "mui-icon mui-icon-star-filled") {
				collectOp(freight_id, freight_type, "sub", collect_id2, star); //执行取消收藏
			}
		} else {
			plus.nativeUI.toast("登录后可收藏~");
		}
	});
	mui(".bill_main_two").on("tap", '.bill_main_unit', function() {
		var transData;
		var freight_id = this.id;
		var star = this.childNodes;
		var cost_collect_id = star[1].childNodes[1].childNodes[0].childNodes[0].id; //取消收藏所需要的主键
		var collect_className = star[1].childNodes[1].childNodes[0].childNodes[0].className;
		var cost_select_flag;
		if(collect_className == "mui-icon mui-icon-star-filled") {
			cost_select_flag = "yes";
		} else {
			cost_select_flag = "no";
		}
		//发起费用详情请求
		var url = baseURL + "/shendongApp/freight/editFreight.php?actioncode=getSolutionDetail";
		mui.ajax(url, {
			data: {
				freight_id: freight_id,
				device_id: uuid,
				fromtype: "",
				endport_name: document.getElementById(freight_id + "endportnm").innerText
			},

			dataType: 'json', //服务器返回   json格式数据
			type: 'post', //HTTP请求类型
			timeout: 8000, //超时时间设置为10秒；
			//crossDomain: true,
			success: function(data) {
				goData(data, freight_id, cost_collect_id, cost_select_flag);
			},
			error: function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				mui.toast("数据加载失败");
			}
		});
	});
}
//更改该运价的收藏状态
function collectOp(freight_id, freight_type, optype, collect_id, star) {
	var url;
	var data;
	if(optype == "add") {
		url = baseURL + "/shendongApp/freight/editFreight.do?actioncode=collectFreight";
		data = {
			m_user_id: m_user_id,
			freight_id: freight_id,
			freight_type: freight_type
		};
	} else {
		url = baseURL + "/shendongApp/freight/editFreight.do?actioncode=calCollectFreight";
		data = {
			m_user_id: m_user_id,
			freight_id: freight_id,
			freight_type: freight_type
		};
	}
	mui.ajax(url, {
		data: data,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		//				crossDomain: true,
		success: function(data) {
			if(data.msg == "success") {
				if(optype == "add") {
					plus.nativeUI.toast("收藏成功~");
					star[1].childNodes[1].childNodes[0].childNodes[0].className = 'mui-icon mui-icon-star-filled';
					star[1].childNodes[1].childNodes[0].childNodes[0].style.color = 'red';
				} else {
					plus.nativeUI.toast("取消成功~");
					star[1].childNodes[1].childNodes[0].childNodes[0].className = 'mui-icon mui-icon-star';
					star[1].childNodes[1].childNodes[0].childNodes[0].style.color = '';
				}
			} else {
				plus.nativeUI.toast("收藏失败!");
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络繁忙，请检查你的网络环境");
		}
	});
}
//跳转到费用清单页面
function goData(transData, freight_id, cost_collect_id, cost_select_flag) {
	var info = {
		freight_id: freight_id,
		sd_date: document.getElementById(freight_id + "date").innerText,
		cost_collect_id: cost_collect_id, //cost页面要用的收藏id
		cost_select_flag: cost_select_flag, //cost页面判断该运价是否已收藏标志
		stportnm: document.getElementById(freight_id + "stportnm").innerText,
		endportnm: document.getElementById(freight_id + "endportnm").innerText,
		ss_transport: document.getElementById(freight_id + "ss_transport").innerText,
		ss_schedule: document.getElementById(freight_id + "ss_schedule").innerText,
		company: document.getElementById(freight_id + "company").innerText,
		portarea: document.getElementById(freight_id + "portarea").innerText,
		guakao: document.getElementById(freight_id + "guakao").innerText,
		voyage: document.getElementById(freight_id + "voyage").innerText,
		transData: transData
	}
	plus.nativeUI.showWaiting("数据请求中...");
	var page = mui.openWindow({
		url: 'cost.html',
		id: 'cost.html',
		styles: {
			top: "0px",
			bottom: "0px"
		},
		show: {
			autoShow: false, //页面loaded事件发生后显示,默认true
			aniShow: "slide-in-right"
		},
		waiting: {
			autoShow: false, //默认显示等待对话框
			title: "数据请求中..."
		},
		extras: {
			data: info
		}
	});
}

//查询推荐运价
function queryRecommend() {
	var url = baseURL + "/shendongApp/freight/editFreight.do?actioncode=queryRecommend";
	var param = plus.storage.getItem("freightRequest");
	jsonData = JSON.parse(param);
	var params = {
		m_user_id: m_user_id,
		adman_code: adman_code,
		stport: jsonData.stport,
		end_port: jsonData.end_port,
		chsnm: jsonData.chsnm,
		recommend: '1'
	};
	mui.ajax(url, {
		data: params,
		dataType: 'json', //服务器返回格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			var temp = JSON.stringify(data);
			if(temp != "{}") {
				if(plus.storage.getItem("recommend1")) { //若本地存在上一次的推荐运价
					if(plus.storage.getItem("recommend1") == temp) {
						//
					} else if(plus.storage.getItem("recommend2") == temp) {
						plus.storage.setItem("recommend2", plus.storage.getItem("recommend1"));
						plus.storage.setItem("recommend1", temp);
					} else if(plus.storage.getItem("recommend3") == temp) {
						plus.storage.setItem("recommend3", plus.storage.getItem("recommend2"));
						plus.storage.setItem("recommend2", plus.storage.getItem("recommend1"));
						plus.storage.setItem("recommend1", temp);
					} else if(plus.storage.getItem("recommend4") == temp) {
						plus.storage.setItem("recommend4", plus.storage.getItem("recommend3"));
						plus.storage.setItem("recommend3", plus.storage.getItem("recommend2"));
						plus.storage.setItem("recommend2", plus.storage.getItem("recommend1"));
						plus.storage.setItem("recommend1", temp);
					} else {
						plus.storage.setItem("recommend4", plus.storage.getItem("recommend3"));
						plus.storage.setItem("recommend3", plus.storage.getItem("recommend2"));
						plus.storage.setItem("recommend2", plus.storage.getItem("recommend1"));
						plus.storage.setItem("recommend1", temp);
					}
					var ws1 = plus.webview.getWebviewById("jzy/nav/home.html");
					mui.fire(ws1, 'send_commend');
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log("查询推荐运价错误");
		}
	});
}

//监听cost页面传回的refresh事件
window.addEventListener("f_refreshPlus", function() {
	getData("1");
});