mui.init({
	swipeBack: true
});
var baseURL, m_user_id;

mui.plusReady(function() {
	plus.webview.currentWebview().setStyle({
		popGesture: "hide"
	})
	baseURL = plus.storage.getItem("baseURL");
	if(plus.storage.getItem("personFlag") == "1") {
		m_user_id = JSON.parse(plus.storage.getItem("userInfo")).m_user_id;
	} else {
		m_user_id = JSON.parse(plus.storage.getItem("userInfo_xs")).user_id;
	}
	getRecord(m_user_id);
});
//点击说话，后台分析港口字段
document.getElementById("speak").addEventListener("tap", function() {
	var option = {};
	var text = "";
	option.engine = "iFly";
	option.punctuation = false;
	option.userInterface = false;
	option.continue = true;
	var tranData = '';
	plus.speech.startRecognize(option, function(s) {
		text += s;
		if(text) {
			var url = baseURL + "/shendongApp/editTool.do?actioncode=dealsound";
			console.log("text" + text + url);
			mui.ajax(url, {
				data: {
					content: text
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 6000, //超时时间设置为6秒；
				success: function(data) {
					plus.speech.stopRecognize(); //关闭语音
					if(data) {
						dealSpeak(data); //处理返回的港口数据									
					} else {
						plus.nativeUI.toast("没有此路线的运价诶~，请重新说一遍试试");
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.toast("网络繁忙，请检查你的网络环境");
				}
			});
		} else {
			plus.nativeUI.toast("我没听清~，请重新说一遍试试");
		}
	}, function(e) {
		console.log("语音识别失败" + e.message);
	});
});

//处理点击图标说话事件
function dealSpeak(data) {
	var arr = [];
	for(var i = 0; i < data.length; i++) {
		var text = data[i].st_chname + "到" + data[i].end_chname;
		var value = data[i].st_port + "到" + data[i].end_portid + "|" + data[i].st_name + "-" + data[i].end_name;
		var temp = {
			value: value,
			text: text
		}
		arr.push(temp);
	};
	if(data.length > 1) { //如果返回的港口匹配大于1条
		var picker = new mui.PopPicker({
			layer: 1
		}, {
			buttons: ['取消', '确定']
		});
		picker.setData(arr);
		picker.show(function(selectItems) {
			var text = selectItems[0].text;
			var value = selectItems[0].value;
			document.getElementById("stport").value = value.substring(0, parseInt(value.indexOf("到"))) + " " + text.substring(0, text.indexOf("到"));
			document.getElementById("endport").value = value.substring(parseInt(value.indexOf("-")) + 1) + " " + text.substring(parseInt(text.indexOf("到")) + 1);

			document.getElementById("stport").name = value.substring(0, value.indexOf("到"));
			document.getElementById("endport").name = value.substring(parseInt(value.indexOf("到")) + 1, value.indexOf("|"));
			var data1 = {
				stport: value.substring(0, value.indexOf("到")),
				end_port: value.substring(parseInt(value.indexOf("到")) + 1, value.indexOf("|")),
				stport_value: value.substring(0, parseInt(value.indexOf("到"))) + " " + text.substring(0, text.indexOf("到")),
				end_port_value: value.substring(parseInt(value.indexOf("-")) + 1) + " " + text.substring(parseInt(text.indexOf("到")) + 1),
				chsnm: document.getElementById("chsnm").name
			};
			//					search(data1);
		});
	} else { //返回的港口匹配只有一条
		document.getElementById("stport").value = data[0].st_name + " " + data[0].st_chname;
		document.getElementById("endport").value = data[0].end_name + " " + data[0].end_chname;
		document.getElementById("stport").name = data[0].st_port;
		document.getElementById("endport").name = data[0].end_portid;
		var data2 = {
			stport: data[0].st_port,
			end_port: data[0].end_portid,
			stport_value: data[0].st_name + " " + data[0].st_chname,
			end_port_value: data[0].end_name + " " + data[0].end_chname,
			chsnm: document.getElementById("chsnm").name
		};
		//				search(data2);
	}
}

//退出此搜索界面时
document.getElementById("back").addEventListener("tap", function() {
	document.getElementById("stport").value = '';
	document.getElementById("endport").value = '';
	document.getElementById("chsnm").value = '';
	document.getElementById("chsnm").name = ''; //做的对港口为空不让查询的限制
	document.getElementById("stport").name = ''; //做的对港口为空不让查询的限制
	document.getElementById("endport").name = '';
});

//点击搜索触发起始港口选择界面
document.getElementById("stport").addEventListener("tap", function() {
	mui("#spopover").popover('toggle', document.getElementById("stport"));
	createports("stportType");
});
//点击搜索触发目的港口选择界面
document.getElementById("endport").addEventListener("tap", function() {
	mui("#epopover").popover('toggle', document.getElementById("endport"));
	createports("endportType");
});
document.getElementById("chsnm").addEventListener("tap", function() {
	mui("#bpopover").popover('toggle', document.getElementById("chsnm"));
	createports("boardType");
});
//点击取消按钮取消起始港遮罩	
document.getElementById("squit").addEventListener('tap', function() {
	document.getElementById("sfreightSearch").blur(); //先失去焦点
	document.getElementById("sfreightSearch").value = "";
	mui('.mui-popover').popover('hide', document.getElementById("squit"));
	while(document.querySelector(".mui-scroll-wrapper").parentNode.childNodes[2]) {
		document.querySelector(".mui-scroll-wrapper").parentNode.removeChild(document.querySelector(".mui-scroll-wrapper").parentNode.childNodes[2]);
	};
});
//点击取消按钮取消目的港遮罩	
document.getElementById("equit").addEventListener('tap', function() {
	document.getElementById("efreightSearch").blur();
	document.getElementById("efreightSearch").value = "";
	mui('.mui-popover').popover('hide', document.getElementById("equit"));
	while(document.querySelector(".mui-scroll-wrapper").parentNode.childNodes[2]) {
		document.querySelector(".mui-scroll-wrapper").parentNode.removeChild(document.querySelector(".mui-scroll-wrapper").parentNode.childNodes[2]);
	}
});
document.getElementById("bquit").addEventListener('tap', function() {
	document.getElementById("boradSearch").blur();
	document.getElementById("boradSearch").value = "";
	mui('.mui-popover').popover('hide', document.getElementById("bquit"));
	while(document.querySelector(".mui-scroll-wrapper").parentNode.childNodes[2]) {
		document.querySelector(".mui-scroll-wrapper").parentNode.removeChild(document.querySelector(".mui-scroll-wrapper").parentNode.childNodes[2]);
	}
});

//获取列表中选中的港口
function dealSelected() {
	mui(".mui-table-view").on('tap', 'a', function() {
		var parents = this.parentNode.parentNode.parentNode.parentNode.parentNode;
		var currentId = parents.id;
		if(currentId == "spopover") {
			document.getElementById("stport").value = this.innerText;
			document.getElementById("stport").name = this.id;
			document.getElementById("sfreightSearch").blur();
			mui('.mui-popover').popover('hide', document.getElementById("squit"));
			document.getElementById("sfreightSearch").value = "";
		} else if(currentId == "epopover") {
			document.getElementById("endport").value = this.innerText;
			document.getElementById("endport").name = this.id;
			document.getElementById("efreightSearch").blur();
			mui('.mui-popover').popover('hide', document.getElementById("equit"));
			document.getElementById("efreightSearch").value = "";

		} else {
			document.getElementById("chsnm").value = this.innerText;
			document.getElementById("chsnm").name = this.id;
			document.getElementById("boradSearch").blur();
			mui('.mui-popover').popover('hide', document.getElementById("bquit"));
			document.getElementById("boradSearch").value = "";
		}
		while(document.querySelector(".mui-scroll-wrapper").parentNode.childNodes[2]) {
			document.querySelector(".mui-scroll-wrapper").parentNode.removeChild(document.querySelector(".mui-scroll-wrapper").parentNode.childNodes[2]);
		}
	});
}
var sdivs = document.getElementById("spopover");
var edivs = document.getElementById("epopover");
var bdivs = document.getElementById("bpopover");
//生成默认的起始港口节点和默认的热门目的港口
function createports(portType) {
	var divwrapper = document.createElement("div");
	divwrapper.className = "mui-scroll-wrapper";
	var divscroll = document.createElement("div");
	divscroll.className = "mui-scroll";
	divwrapper.appendChild(divscroll);
	var ul = document.createElement("ul");
	ul.className = "mui-table-view";
	divscroll.appendChild(ul);
	if(portType == "stportType") { //生成起始港默认节点
		divwrapper.id = "stportlist";
		sdivs.appendChild(divwrapper);
		for(var i = 0; i < StartPortDef.length; i++) {
			var li = document.createElement("li");
			li.className = "mui-table-view-cell";
			li.innerHTML = "<a id=\"" + StartPortDef[i][3] + "\">" + StartPortDef[i][2] + "&nbsp&nbsp" + StartPortDef[i][1] + "</a>";
			ul.appendChild(li);
		}
	} else if(portType == "boardType") { //生成热门目的港默认节点
		divwrapper.id = "boardlist";
		bdivs.appendChild(divwrapper);
		for(var i = 0; i < hotscus.length; i++) {
			var li = document.createElement("li");
			li.className = "mui-table-view-cell";
			li.innerHTML = "<a id=\"" + hotscus[i][3] + "\">" + hotscus[i][2] + "&nbsp&nbsp" + hotscus[i][1] + "</a>";
			ul.appendChild(li);
		}
	} else { //生成热门目的港默认节点
		divwrapper.id = "endportlist";
		edivs.appendChild(divwrapper);
		for(var i = 0; i < hot_ports.length; i++) {
			var li = document.createElement("li");
			li.className = "mui-table-view-cell";
			li.innerHTML = "<a id=\"" + hot_ports[i][3] + "\">" + hot_ports[i][2] + "&nbsp&nbsp" + hot_ports[i][1] + "</a>";
			ul.appendChild(li);
		}
	}
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0004 //滚动系数
	});
	dealSelected();
}
var inputstr2;
//监听目的港口输入生成联想节点

var inputstr3;
//监听目的港口输入生成联想节点
document.getElementById("efreightSearch").addEventListener("input", function() {
	var strtemp = this.value;
	var str1 = strtemp.replace(/\u2006/g, '').toUpperCase();
	if(inputstr2 != str1) {
		inputstr2 = str1;
	} else {
		return false;
	}
	if(document.getElementById("divwrapper2")) {
		document.getElementById("divwrapper2").parentNode.removeChild(document.getElementById("divwrapper2"));
	}
	var divwrapper2;
	divwrapper2 = document.createElement("div");
	divwrapper2.className = "mui-scroll-wrapper";
	divwrapper2.id = "divwrapper2";
	var divscroll2 = document.createElement("div");
	divscroll2.className = "mui-scroll";
	var ul2 = document.createElement("ul");
	ul2.className = "mui-table-view";
	document.getElementById("epopover").appendChild(divwrapper2);
	var count = 0;
	if(str1 != "") {
		for(var i = 0; i < endports.length; i++) {
			var str2 = endports[i][2] + endports[i][1]; //指定位置开始，长度为1的字符
			var s = str2.indexOf(str1);
			if(s > -1) {
				if(count < 20) {
					document.getElementById("endportlist").style.display = "none";
					var li = document.createElement("li");
					li.className = "mui-table-view-cell";
					li.innerHTML = "<a id=\"" + endports[i][3] + "\">" + endports[i][2] + "&nbsp&nbsp" + endports[i][1] + "</a>";
					ul2.appendChild(li);
					count++;
				} else {
					break;
				}
			}
		}
		divscroll2.appendChild(ul2);
		divwrapper2.appendChild(divscroll2);
		dealSelected();
		scrollAdd(ul2, count);
	} else {
		divwrapper2.parentNode.removeChild(divwrapper2);
		document.getElementById("endportlist").style.display = "";
	}
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0004 //滚动系数
	});
});
document.getElementById("boradSearch").addEventListener("input", function() {
	var strtemp = this.value;
	var str1 = strtemp.replace(/\u2006/g, '').toUpperCase();
	if(inputstr3 != str1) {
		inputstr3 = str1;
	} else {
		return false;
	}
	if(document.getElementById("divwrapper2")) {
		document.getElementById("divwrapper2").parentNode.removeChild(document.getElementById("divwrapper2"));
	}
	var divwrapper2;
	divwrapper2 = document.createElement("div");
	divwrapper2.className = "mui-scroll-wrapper";
	divwrapper2.id = "divwrapper2";
	var divscroll2 = document.createElement("div");
	divscroll2.className = "mui-scroll";
	var ul2 = document.createElement("ul");
	ul2.className = "mui-table-view";
	document.getElementById("bpopover").appendChild(divwrapper2);
	var count = 0;
	if(str1 != "") {
		for(var i = 0; i < cusinf.length; i++) {
			var str2 = cusinf[i][2] + cusinf[i][1]; //指定位置开始，长度为1的字符
			var s = str2.indexOf(str1);
			if(s > -1) {
				if(count < 20) {
					document.getElementById("boardlist").style.display = "none";
					var li = document.createElement("li");
					li.className = "mui-table-view-cell";
					li.innerHTML = "<a id=\"" + cusinf[i][3] + "\">" + cusinf[i][2] + "&nbsp&nbsp" + cusinf[i][1] + "</a>";
					ul2.appendChild(li);
					count++;
				} else {
					break;
				}
			}
		}
		divscroll2.appendChild(ul2);
		divwrapper2.appendChild(divscroll2);
		dealSelected();
		scrollAdd3(ul2, count);
	} else {
		divwrapper2.parentNode.removeChild(divwrapper2);
		document.getElementById("boardlist").style.display = "";
	}
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0004 //滚动系数
	});
});
//滚动到底部再新生成25条数据
function scrollAdd3(ul2, count) {
	var realCount = count;
	document.getElementById("divwrapper2").addEventListener("scrollbottom", function(e) {
		setTimeout(function() {
			for(var i = realCount; i < realCount + 15; i++) {
				var li = document.createElement("li");
				li.innerHTML = "<li class=\"mui-table-view-cell\">" +
					"<a id=\"" + cusinf[i][3] + "\">" + cusinf[i][2] + "&nbsp&nbsp" + cusinf[i][1] + "</a>" +
					"</li>";
				ul2.appendChild(li);
			}
			realCount = realCount + 15;
		});
	}, 1500);
}
//滚动到底部再新生成25条数据
function scrollAdd(ul2, count) {
	var realCount = count;
	document.getElementById("divwrapper2").addEventListener("scrollbottom", function(e) {
		setTimeout(function() {
			for(var i = realCount; i < realCount + 15; i++) {
				var li = document.createElement("li");
				li.innerHTML = "<li class=\"mui-table-view-cell\">" +
					"<a id=\"" + endports[i][3] + "\">" + endports[i][2] + "&nbsp&nbsp" + endports[i][1] + "</a>" +
					"</li>";
				ul2.appendChild(li);
			}
			realCount = realCount + 15;
		});
	}, 1500);
}
//监听起始港口输入事件
var inputstr;
document.getElementById("sfreightSearch").addEventListener("input", function() {
	var strtemp = this.value;
	var str1 = strtemp.replace(/\u2006/g, '').toUpperCase();
	if(inputstr != str1) {
		inputstr = str1;
	} else {
		return false;
	}
	if(document.getElementById("divwrapper2")) {
		document.getElementById("divwrapper2").parentNode.removeChild(document.getElementById("divwrapper2"));
	}
	var divwrapper2;
	divwrapper2 = document.createElement("div");
	divwrapper2.className = "mui-scroll-wrapper";
	divwrapper2.id = "divwrapper2";
	var divscroll2 = document.createElement("div");
	divscroll2.className = "mui-scroll";
	var ul2 = document.createElement("ul");
	ul2.className = "mui-table-view";
	document.getElementById("spopover").appendChild(divwrapper2);
	if(str1 != "") {
		for(var i = 0; i < StartPortDef.length; i++) {
			var str2 = StartPortDef[i][1] + StartPortDef[i][2]; //指定位置开始，长度为1的字符
			var s = str2.indexOf(str1);
			if(s > -1) {
				document.getElementById("stportlist").style.display = "none";
				var li = document.createElement("li");
				li.className = "mui-table-view-cell";
				li.innerHTML = "<a id=\"" + StartPortDef[i][3] + "\">" + StartPortDef[i][2] + "&nbsp&nbsp" + StartPortDef[i][1] + "</a>";
				ul2.appendChild(li);
			}
		}
		divscroll2.appendChild(ul2);
		divwrapper2.appendChild(divscroll2);
		dealSelected();
	} else {
		divwrapper2.parentNode.removeChild(divwrapper2);
		document.getElementById("stportlist").style.display = "";
	}
});

//向服务器请求运价数据
var stport = "";
var end_port = "";
var chsnm = "";
var stport_value = "";
var endport_value = "";
//向下一页面传递港口数据
document.getElementById("search").addEventListener("tap", function() {
	stport = document.getElementById("stport").name;
	end_port = document.getElementById("endport").name;
	chsnm = document.getElementById("chsnm").name;
	stport_value = document.getElementById("stport").value;
	end_port_value = document.getElementById("endport").value;
	chsnm_value = document.getElementById("chsnm").value;
	var data = {
		stport: stport,
		end_port: end_port,
		chsnm: chsnm
	};
	var data1 = {
		stport: stport,
		end_port: end_port,
		stport_value: stport_value.replace(/\s+|&nbsp;/ig, " "),
		endport_value: end_port_value.replace(/\s+|&nbsp;/ig, " "),
		m_user_id: m_user_id
	};
	if(stport && end_port) {
		search(data);
		addRecord(data1);
	} else {
		mui.toast("港口信息不能为空");
	}
});
//点击查询跳转到运价结果页面
function search(data) {
	var url = 'f_result.html';
	mui.openWindow({
		url: url,
		id: url,
		show: {
			autoShow: true,
			aniShow: "slide-in-right"
		},
		waiting: {
			autoShow: false,
			title: "马上就好啦..."
		},
		extras: {
			data: data
		}
	});
}
//从服务器加载港口
function getRecord(m_user_id) {
	var url = baseURL + "/shendongApp/freight/editFreight.do?actioncode=queryRecord";
	params = {
		m_user_id: m_user_id
	}
	mui.ajax(url, {
		data: params,
		dataType: 'json', //服务器返回格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(result) {
			if(result) {
				if(result.record1 != null) {
					var arr = result.record1.split("-");
					document.getElementById('record_1_1').innerHTML = arr[0];
					document.getElementById("record_1_2").innerHTML = arr[1];
					document.getElementById('record_1').setAttribute('data-stport', arr[2]);
					document.getElementById('record_1').setAttribute('data-endport', arr[3]);
				}
				if(result.record2 != null) {
					var arr = result.record2.split("-");
					document.getElementById('record_2_1').innerHTML = arr[0];
					document.getElementById("record_2_2").innerHTML = arr[1];
					document.getElementById('record_2').setAttribute('data-stport', arr[2]);
					document.getElementById('record_2').setAttribute('data-endport', arr[3]);
				}
				if(result.record3 != null) {
					var arr = result.record3.split("-");
					document.getElementById('record_3_1').innerHTML = arr[0];
					document.getElementById("record_3_2").innerHTML = arr[1];
					document.getElementById('record_3').setAttribute('data-stport', arr[2]);
					document.getElementById('record_3').setAttribute('data-endport', arr[3]);
				}
				if(result.record4 != null) {
					var arr = result.record4.split("-");
					document.getElementById('record_4_1').innerHTML = arr[0];
					document.getElementById("record_4_2").innerHTML = arr[1];
					document.getElementById('record_4').setAttribute('data-stport', arr[2]);
					document.getElementById('record_4').setAttribute('data-endport', arr[3]);
				}
			} else {

			}
		},
		error: function(xhr, type, errorThrown) {
			console.log("返回失败");
		}
	});

}
//上传服务器 港口
function addRecord(data) {
	var url = baseURL + "/shendongApp/freight/editFreight.do?actioncode=addRecord";
	mui.ajax(url, {
		data: data,
		dataType: 'string', //服务器返回格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(temp) {
			getRecord(data.m_user_id);
		},
		error: function(xhr, type, errorThrown) {
			console.log("返回失败");
		}
	});

}
mui(".port").on("tap", '.port_name', function() {
	var chail = this;
	stport = this.getAttribute('data-stport');
	end_port = this.getAttribute('data-endport');
	var data = {
		stport: stport,
		end_port: end_port,
		m_user_id: m_user_id,
		chsnm: ''
	};
	search(data);
	//				addRecord(data);
});