mui.init({
	swipeBack: true,
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		},
		deceleration: 0.0003,
		bounce: true
	}
});
if(mui.os.plus) {
	mui.plusReady(function() {
		baseURL = plus.storage.getItem("baseURL");
		setTimeout(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 20);
	});
} else {
	mui.ready(function() {
		setTimeout(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 20);
	});
}
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	newpages = 1;
	spendpages = 1;
	setTimeout(function() {
		while(document.getElementById("gold_produce").hasChildNodes()) {
			document.getElementById("gold_produce").removeChild(document.getElementById("gold_produce").firstChild);
		}
		while(document.getElementById("gold_spend").hasChildNodes()) {
			document.getElementById("gold_spend").removeChild(document.getElementById("gold_spend").firstChild);
		}
		//选中状态为生成记录
		if(document.getElementById("newrecord").className == "gold_tab_unit_main_hover") {
			document.getElementById("gold_spend").style.display = "none";
			document.getElementById("gold_produce").style.display = "";
			getData(newcordUrl, "1");
		} else { //选中状态为消费记录
			document.getElementById("gold_produce").style.display = "none";
			document.getElementById("gold_spend").style.display = "";
			getData(costcordUrl, "1");
		}
		//在获取新数据之后关闭正在刷新的雪花提醒
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
	}, 1000);
}
//初始化地址等数据
var baseURL;
var userID;
var newcordUrl;
var costcordUrl;

var newpages = 1;
var spendpages = 1;
var rollFlag = false;

/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	var temp = plus.storage.getItem("userInfo");
	userID = JSON.parse(temp).m_user_id;
	newcordUrl = baseURL + "/shendongApp/editLogin.do?actioncode=getCrtGold";
	costcordUrl = baseURL + "/shendongApp/editLogin.do?actioncode=getExpenseGold";
	setTimeout(function() {
		if(document.getElementById("newrecord").className == "gold_tab_unit_main_hover") {
			getData(newcordUrl, newpages);
		} else {
			getData(costcordUrl, spendpages);
		}
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(rollFlag);
	}, 500);
}
//向服务器请求数据
function getData(url, pages) {
	mui.ajax(url, {
		data: {
			page: pages,
			pagesize: 10,
			m_user_id: userID
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 5000, //超时时间设置为10秒；
		crossDomain: false,
		success: function(data) {
			if(data) {
				if(data.Rows.length < 10) {
					rollFlag = true;
				} else {
					rollFlag = false;
					mui('#pullrefresh').pullRefresh().refresh(true); //重置上拉加载功能
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(rollFlag);
				}
				if(document.getElementById("newrecord").className == "gold_tab_unit_main_hover") {
					dealData(data.Rows, "newrecord");
					newpages++;
				} else {
					dealData(data.Rows, "costrecord");
					spendpages++;
				}
			} else {
				rollFlag = true;
				dealData(data, "none");
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast("网络繁忙，请检查你的网络环境");
		}
	});
}
//处理服务器返回的数据生成节点
function dealData(data, type) {
	if(data) {
		var length = data.length;
		if(type == "newrecord") {
			var parent = document.getElementById("gold_produce");
			for(var i = 0; i < data.length; i++) {
				var div = document.createElement("div");
				div.className = "gold_produce_unit";
				div.innerHTML = "<div class='gold_produce_unit_num'>" + data[i].cny_all + "</div>" +
					"<div class='gold_produce_unit_info'>" +
					"<div class='gold_produce_unit_info_bill'>" + data[i].gsc_desc + "</div>" +
					"<div class='gold_produce_unit_info_time'>" + data[i].crt_time + "</div>" +
					"</div>" +
					"</div>" +
					"<div class='gold_produce_line'></div>"
				parent.appendChild(div);
			}
		} else if(type == "costrecord") {
			var parent = document.getElementById("gold_spend");
			var div = document.createElement("div");
			for(var i = 0; i < data.length; i++) {
				var parent = document.getElementById("gold_spend");
				var div = document.createElement("div");
				var state = data[i].gtx_state;
				var classType;
				if(state == 1) {
					state = "申请中";
					classType = "gold_spend_unit_type1";
				} else if(state == 2) {
					state = "同意";
					classType = "gold_spend_unit_type2";
				} else {
					state = "拒绝";
					classType = "gold_spend_unit_type3";
				}
				div.className = "gold_spend_unit";
				div.innerHTML = "<div class=" + classType + ">" + state + "</div>" +
					"<div class='gold_spend_unit_num'>" + data[i].gtx_realamt + "</div>" +
					"<div class='gold_spend_unit_time'>" + data[i].crtdate + "</div>" +
					"<div class='gold_produce_line'></div>"
				parent.appendChild(div);
			}
		}
	} else { //如果data不存在
		if(document.getElementById("newrecord").className == "gold_tab_unit_main_hover") {
			if(document.getElementById("gold_produce").hasChildNodes()) {

			} else {
				var parent = document.getElementById("gold_produce");
				var div = document.createElement("div");
				div.className = "gold_none";
				div.innerHTML = "<p style='text-align: center;'>您暂时还没有相应记录</p>";
				parent.appendChild(div);
			}
		} else if(document.getElementById("costrecord").className == "gold_tab_unit_main_hover") {
			if(document.getElementById("gold_spend").hasChildNodes()) {

			} else {
				var parent = document.getElementById("gold_spend");
				var div = document.createElement("div");
				div.className = "gold_none";
				div.innerHTML = "<p style='text-align: center;'>您暂时还没有相应记录</p>";
				parent.appendChild(div);
			}
		}
	}

}

//监听生成记录和消费记录的切换，执行刷新操作
mui(".gold_tab_unit").on("tap", "div", function() {
	var id = this.id;
	newpages = 1;
	spendpages = 1;
	while(document.getElementById("gold_produce").hasChildNodes()) {
		document.getElementById("gold_produce").removeChild(document.getElementById("gold_produce").firstChild);
	}
	while(document.getElementById("gold_spend").hasChildNodes()) {
		document.getElementById("gold_spend").removeChild(document.getElementById("gold_spend").firstChild);
	}
	if(id == "newrecord") { //点击生成记录
		document.getElementById("costrecord").className = "gold_tab_unit_main";
		document.getElementById("newrecord").className = "gold_tab_unit_main_hover";
		document.getElementById("gold_spend").style.display = "none";
		document.getElementById("gold_produce").style.display = "";
		getData(newcordUrl, "1");
	} else { //点击消费记录
		document.getElementById("newrecord").className = "gold_tab_unit_main";
		document.getElementById("costrecord").className = "gold_tab_unit_main_hover";
		document.getElementById("gold_produce").style.display = "none";
		document.getElementById("gold_spend").style.display = "";
		getData(costcordUrl, "1");
	}
	//	pulldownRefresh();
});