var baseURL;
mui.plusReady(function() {
	let wv = plus.webview.currentWebview();
	if(wv.from) {
		loadData(wv);
		plus.webview.currentWebview().setStyle({
			popGesture: "none"
		});
		mui.back = function() {};
	}
	baseURL = plus.storage.getItem("baseURL");
	getData();
	// 隐藏滚动条
	plus.webview.currentWebview().setStyle({
		scrollIndicator: 'none'
	});
})

var jsonData;

function getData() {
	var url = baseURL + "/shendongApp/freight/editFreight.do?actioncode=getloginsureparam";
	mui.ajax(url, {
		dataType: 'json', //服务器返回格式数据
		type: 'post', //HTTP请求类型
		timeout: 5000, //超时时间设置为10秒；
		crossDomain: false,
		success: function(data) {
			jsonData = data;
			dealData(data)
		},
		error: function(xhr, type, errorThrown) {
			console.log("费用请求失败，请重新进入该页面");
		}
	});
}

function dealData(data) {
	var recusdrate = data.recusdrate; //汇率
	var recratio = data.recratio; //费率
	var recminamount = data.recminamount; //应收最小金额
	var myselect = document.getElementById("moneyType");
	var index = myselect.selectedIndex; // selectedIndex代表的是你所选中项的index
	var moneytype = myselect.options[index].value;
	var money = document.getElementById("money").value;
	if(money) { //若金额不为空
		if(money < 1) {
			document.getElementById("money").style.borderColor = "red";
			return false;
		} else {
			document.getElementById("money").style.borderColor = "";
		}
	}
	if(moneytype == "dollar") {
		if(Number(money) * Number(recusdrate) * Number(recratio) / 10000 > Number(recminamount)) {
			document.getElementById("result").innerText = Number((Number(money) * Number(recusdrate) * Number(recratio) / 10000 * 1.1).toFixed(4));
		} else {
			document.getElementById("result").innerText = recminamount;
		}
	} else if(moneytype == "rmb") {
		if(Number(money) * Number(recusdrate) / 10000 > Number(recminamount)) {
			document.getElementById("result").innerText = Number((Number(money) * Number(recratio) / 10000 * 1.1).toFixed(4));
		} else {
			document.getElementById("result").innerText = recminamount;
		}
	}
}
//onfocus是得到焦点时执行的方法，focus（）获得焦点
document.getElementById("money").onblur = function() {
	dealData(jsonData);
};
document.getElementById("moneyType").onblur = function() {
	dealData(jsonData);
};
//点击确定事件向运价页面传送保险数据信息
document.getElementById("sure").addEventListener("tap", function() {
	var ws = plus.webview.getWebviewById("cost.html");
	var myselect = document.getElementById("moneyType");
	var index = myselect.selectedIndex; // selectedIndex代表的是你所选中项的index
	var moneytype = myselect.options[index].text;
	var money = document.getElementById("money").value;
	if(money) { //若金额不为空
		if(money < 1) {
			document.getElementById("money").style.borderColor = "red";
			return false;
		} else {
			document.getElementById("money").style.borderColor = "";
		}
	}
	mui.fire(ws, "addBx", {
		target: {
			moneyType: moneytype,
			money: money,
			total_price: document.getElementById("result").innerText
		}
	});
	plus.webview.currentWebview().close();
	document.getElementById("back").style.display = "";
	document.getElementById("sure").style.display = "none";
});

function loadData(wv) {
	document.getElementById("back").style.display = "none";
	document.getElementById("sure").style.display = "";
}