mui.init({
	swipeBack: true,
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			height: 50, //可选,默认50.触发下拉刷新拖动距离,
			contentdown: "下拉刷新", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
			contentover: "释放刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
			contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载信息...',
			contentnomore: '没有更多通知了',
			callback: pullupRefresh
		},
		deceleration: 0.0005,
		bounce: true
	}
});

var baseURL;
mui.plusReady(function() {
	baseURL = plus.storage.getItem("baseURL");
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().pulldownLoading();
	}, 10)
});

var page = 1;
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	page = 1; //初始化page为1
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		getData(page);
		page++;
	}, 1200);
}
/** 
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		getData(page);
		page++;
	}, 800);
}
//收到通知，开始加载数据
window.addEventListener('send2', function(event) {
	setTimeout(function() {
		page = 1;
		mui('#pullrefresh').pullRefresh().pullupLoading();
		getData(1);
	}, 10)
});

mui(".news_main").on("tap", ".news_list", function() {
	var tradeinfo_id = this.getAttribute("data-id");
	plus.nativeUI.showWaiting();
	openDet(tradeinfo_id);

});
//打开详细
function openDet(tradeinfo_id) {
	mui.openWindow({
		url: "news_detail.html",
		id: "news_detail.html",
		styles: {
			top: "0px",
			bottom: "0px"
		},
		show: {
			autoShow: false, //页面loaded事件发生后显示,默认true
			aniShow: "slide-in-right"
		},
		waiting: {
			autoShow: true //默认显示等待对话框
		},
		extras: {
			data: tradeinfo_id
		}
	});
}

function getData(page) {
	if(page == 1) {
		mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
	}
	var url = baseURL + "/shendongApp/editTool.php?actioncode=getnewslist";
	var m_user_id;
	if(plus.storage.getItem("personFlag") == '1') {
		m_user_id = JSON.parse(plus.storage.getItem("userInfo")).m_user_id;
	} else {
		m_user_id = JSON.parse(plus.storage.getItem("userInfo_xs")).user_id;
	}
	var params = {
		m_user_id: m_user_id,
		page: page,
		pagesize: 10
	}
	mui.ajax(url, {
		data: params,
		dataType: 'json', //服务器返回格式数据
		type: 'post', //HTTP请求类型
		timeout: 8000, //超时时间设置为5秒；
		crossDomain: false,
		success: function(data) {
			if(data) {
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh(); //重置下拉加载
				createDomList(data, page);
			} else {
				document.querySelector(".news_main").innerHTML = "<div style='text-align: center;'>对不起，没有查询到更多通知</div>";
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			}

		},
		error: function(xhr, type, errorThrown) {
			dealError();
		}
	});
}

//网络繁忙，请检查你的网络环境时， 隐藏上拉状态
function dealError() {
	console.log("news_sub网络繁忙，请检查你的网络环境！");
	mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
}

function createDomList(data, page) {
	var listData = data.Rows;
	var length = listData.length;
	var flag = false;
	if(length < 10) {
		flag = true;
	}
	mui('#pullrefresh').pullRefresh().endPullupToRefresh(flag); //参数为true代表没有更多数据了。
	var html = "";
	for(var i = 0; i < listData.length; i++) {
		var newsData = listData[i];
		html += "<div class='news_list'  data-id=" + newsData.businessinfo_id + ">" +
			"<div class='news_list_right'>" +
			"<div class='news_title'>" +
			newsData.title +
			"</div>" +
			"<div class='news_time'>" +
			(newsData.crtdate == null ? "" : newsData.crtdate) +
			"</div>" +
			"</div>" +
			"</div>";
	}
	if(page == "1") {
		document.querySelector(".news_main").innerHTML = html;
	} else {
		document.querySelector(".news_main").innerHTML = document.querySelector(".news_main").innerHTML + html;
	}
}