mui.init({
	gestureConfig: {
		swipeBack: true,
		longtap: true
	},
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			height: 50, //可选,默认50.触发下拉刷新拖动距离,
			contentdown: "下拉刷新运价", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
			contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
			contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载运价...',
			contentnomore: "没有更多分享了",
			callback: pullupRefresh
		},
		deceleration: 0.0005,
		bounce: true
	}
});
var baseURL = "";
var page = 1;
mui.plusReady(function() {
	baseURL = plus.storage.getItem("baseURL");
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().pullupLoading();
	}, 10);
	dealDOM();
});
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		page = 1; //初始化page为1
		getData(page);
		page++;
	}, 200);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		getData(page);
		page++;
	}, 500)
}
//从服务器加载数据
function getData(pg) {
	var url = baseURL + "/shendongApp/freight/editFreight.do?actioncode=queryShareFreight";
	var params = {
		userid: plus.storage.getItem("remember_no"),
		page: pg,
		pagesize: "10"
	};
	mui.ajax(url, {
		data: params,
		dataType: 'json', //服务器返回格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(temp) { 
			console.log("temp"+JSON.stringify(temp));
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			if(temp) {
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh(); //重新启用上拉加载
				createDomList(temp, pg);
				disableflg = false;
			} else {
				document.querySelector(".bill_main_two").innerHTML = "<div style='text-align: center;'>对不起，没有查询到相应运价</div>";
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh(); //禁用上拉加载
				disableflg = true;
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log("shareFreight_sub网络繁忙，请检查你的网络环境！");
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			disableflg = true;
		}
	});
}
//生成dom节点
function createDomList(result, page) {
	console.log(JSON.stringify(result));
	var data = result.Rows;
	var length = data.length;
	var flag = false;
	if(length < 10) {
		flag = true;
	}
	mui('#pullrefresh').pullRefresh().endPullupToRefresh(flag);
	var table = document.body.querySelector('.bill_main_two');
	var html = "";
	//循环插入每个运价
	for(var i = 0; i < length; i++) {
		ss_rc20pr = data[i].ss_rc20pr;
		ss_rc40pr = data[i].ss_rc40pr;
		ss_rc40hq = data[i].ss_rc40hq;
		var d1 = new Date();
		var d2 = new Date(d1);
		d2.setDate(d1.getDate() + 7);
		var enddate = d2.getFullYear() + "-" + (d2.getMonth() + 1) + "-" + d2.getDate(); //运价截止日期

		if(ss_rc20pr || ss_rc40pr || ss_rc40hq) {
			html += "<div class='bill_main_unit' id=" + data[i].freight_id + ">" +
				"<div className='bill_main_unit_top'>" +
				"<div class=\"bill_main_unit_top_port\">" +
				"<span id=" + data[i].freight_id + "stportnm>" + (data[i].stport_chnm == null ? "-" : data[i].stport_chnm) + "</span>—" +
				"<span id=" + data[i].freight_id + "ss_transport>" + (data[i].transport_name == null ? '直达' : data[i].transport_name) + "</span>—" +
				"<span id=" + data[i].freight_id + "endportnm>" + (data[i].endport_nm == null ? "-" : data[i].endport_nm) + "</span>" +
				"</div>" +
				"<div class=\"bill_main_unit_top_condition\" id=" + data[i].freight_id + "portarea>" +
				(data[i].portarea_nm == null ? "" : data[i].portarea_nm) +
				"</div>" +
				"</div>" +
				"<div class='bill_main_unit_detail'>" +
				"<div class=\"bill_main_unit_detail_left\">" +
				"<div style='display:none' id='" + data[i].freight_id + "jj'  jj_20gp='" + data[i].jj_20gp + "' jj_40gp='" + data[i].jj_40gp + "' jj_40hc='" + data[i].jj_40hc + "' num_20gp='" + data[i].num_20gp + "' num_40gp='" + data[i].num_40gp + "' num_40hc='" + data[i].num_40hc + "'></div>" +
				"<div class=\"bill_main_unit_detail_left_person\">" +
				"运价分享接收人：<span id=" + data[i].freight_id + "receive style='font-weight:bold;color:yellowgreen;'>" + (data[i].targetperson_nm ? data[i].targetperson_nm : "") + "</span>" +
				"</div>" +
				"<div class=\"bill_main_unit_detail_left_sharetime\">" +
				"运价分享日期：<span id=" + data[i].freight_id + "sharetime style='font-weight:bold;color:yellowgreen;'>" + data[i].crtdate + "</span>" +
				"</div>" +
				"<div class=\"bill_main_unit_detail_left_anchor\">" +
				"挂靠：<span id=" + data[i].freight_id + "guakao style='font-weight:bold;'>" + (data[i].ss_anchport == null ? "" : data[i].ss_anchport) + "</span>" +
				"</div>" +
				"<div class=\"bill_main_unit_detail_left_ship\">" +
				"船公司/班期：<span id=" + data[i].freight_id + "company>" + (data[i].chsnm == null ? "-" : data[i].chsnm) + "</span>/<span>周</span><span id=" + data[i].freight_id + "ss_schedule>" + (data[i].ss_schedule == null ? "-" : data[i].ss_schedule) + "</span>" +
				"</div>" +
				"<div class=\"bill_main_unit_detail_left_time\">" +
				"有效期/航程：<span id=" + data[i].freight_id + "date>" + data[i].ss_efdate + "至" + enddate + "</span>/<span id=" + data[i].freight_id + "voyage>" + (data[i].ss_voyage == null ? "-" : data[i].ss_voyage) + "</span>天" +
				"</div>" +
				"<div class=\"bill_main_unit_detail_left_sale\">" +
				"20GP/40GP/40HC：<span style='font-weight:bold;color:#F5B021' id=" + data[i].freight_id + "20gp>" + (ss_rc20pr == null ? '电询' : ss_rc20pr) + "</span>/<span id=" + data[i].freight_id + "40gp style='font-weight:bold;color:#F5B021'>" + (ss_rc40pr == null ? '电询' : ss_rc40pr) + "</span>/<span id='40hc' style='font-weight:bold;color:#F5B021'>" + (ss_rc40hq == null ? '电询' : ss_rc40hq) + "</span>" + "</div>" +
				"</div>" +
				"<div class=\"freight_main_unit_detail_right\">" +
				"</div>" +
				"</div>" +
				"</div>";
		}
	}
	if(page == "1") {
		table.innerHTML = "";
		table.innerHTML = html;
	} else {
		table.innerHTML = table.innerHTML + html;
	}
}

//打开详情 
function dealDOM() {
	mui(".bill_main_two").on("tap", '.bill_main_unit', function() {
		var freight_id = this.id;
		var transData = {
			freight_id: freight_id,
			shareperson: document.getElementById(freight_id + "receive").innerText,
			sharetime: document.getElementById(freight_id + "sharetime").innerText,
			jj_20gp: $("#" + freight_id + "jj").attr("jj_20gp"),
			jj_40gp: $("#" + freight_id + "jj").attr("jj_40gp"),
			jj_40hc: $("#" + freight_id + "jj").attr("jj_40hc"),
			num_20gp: $("#" + freight_id + "jj").attr("num_20gp"),
			num_40gp: $("#" + freight_id + "jj").attr("num_40gp"),
			num_40hc: $("#" + freight_id + "jj").attr("num_40hc"),
			sd_date: document.getElementById(freight_id + "date").innerText,
			stportnm: document.getElementById(freight_id + "stportnm").innerText,
			endportnm: document.getElementById(freight_id + "endportnm").innerText,
			ss_transport: document.getElementById(freight_id + "ss_transport").innerText,
			ss_schedule: document.getElementById(freight_id + "ss_schedule").innerText,
			company: document.getElementById(freight_id + "company").innerText,
			portarea: document.getElementById(freight_id + "portarea").innerText,
			guakao: document.getElementById(freight_id + "guakao").innerText,
			voyage: document.getElementById(freight_id + "voyage").innerText
		};
		mui.openWindow({
			url: "shareFreightDetail.html",
			id: "shareFreightDetail.html",
			show: {
				autoShow: false, //页面loaded事件发生后自动显示，默认为true
				aniShow: "slide-in-right"
			},
			waiting: {
				autoShow: true, //自动显示等待框，默认为true
			},
			extras: {
				transData: transData
			}
		});
	});
}