mui.init({
	swipeBack: true
});
var baseURL;
var url;
var info;
mui.plusReady(function() {
	baseURL = plus.storage.getItem("baseURL");
	var webview = plus.webview.currentWebview();
	info = webview.info;
	$("#company").val(info.company);
	$("#phone").val(info.adman_phone);
	$("#people").val(info.adman_link);
	$("#cusinf_id").text(info.cusinf_id);
	checkLocationPermission();
	initLoadEvent();
	getMyLocation();
});
//检查定位权限
function checkLocationPermission() {
	var pp = plus.navigator.checkPermission('LOCATION');
	if(pp == 'denied') {
		plus.nativeUI.alert("请在系统设置中允许app使用定位权限");
	}
}
var ld;
//定位时的“...”效果
function initLoadEvent() {
	document.getElementById("location_one").innerHTML = "定位中<span id='loadingid'>...</span><img src='../images/public/reloading.gif' style='width: 9%; height: 9%;  margin:0px 0px -3px 5px;'/>";
	document.getElementById("location_two").value = "";
	//注册加载中事件
	ld = window.setInterval(function() {
		var ldHtml = document.getElementById("loadingid").innerHTML;
		if(ldHtml == "...") {
			document.getElementById("loadingid").innerHTML = ".&nbsp;&nbsp;";
		} else if(ldHtml == "..&nbsp;") {
			document.getElementById("loadingid").innerHTML = "...";
		} else if(ldHtml == ".&nbsp;&nbsp;") {
			document.getElementById("loadingid").innerHTML = "..&nbsp;";
		}
	}, 500);
}
//获取当前位置
function getMyLocation() {
	document.getElementById("location_one").innerHTML
	var option;
	if(mui.os.ios) {
		option = {
			coordsType: "wgs84"
		};
	} else if(mui.os.android) {
		option = {
			enableHighAccuracy: true,
			timeout: 8000,
			maximumAge: 2000,
			coordsType: 'amap'
		}
	}
	if(navigator.geolocation) {
		plus.geolocation.getCurrentPosition(displayLocation, displayError, option);
	} else {
		myDiv.innerHTML = "抱歉！您未开启app支持地理定位.";
	}
};

//下面的是处理函数，得到一个位置就会调用这个函数
function displayLocation(position) {
	window.clearInterval(ld); //移除"..."
	document.getElementById("location_one").innerText = (position.address.province ? position.address.province : "") + position.address.city + position.address.district + position.address.street;
	document.getElementById("location_two").value = position.address.streetNum;
};

//处理返回的定位数据
function dealPicker(addComp) {
	var picker = new mui.PopPicker({
		layer: 5
	}, {
		buttons: ['取消', '确定']
	});

	picker.setData(cityData);
	picker.show(function(items) {
		var text = items[1].text + "-" + items[2].text + "-" + items[3].text;
		var id = items[3].value;
		this.name = id;
		if(items[3].text == " ") {
			mendianPort = items[0].text + "-" + items[1].text + "-" + items[2].text;
			text = items[1].text + "-" + items[2].text
		} else {
			mendianPort = items[0].text + "-" + items[1].text + "-" + items[2].text + "-" + items[3].text;
		}
		document.getElementById("mendian").value = text;
		getData(mendianPort, s_port);
	});
}
//处理定位失败
function displayError(error) {
	alert(error.message);
	window.clearInterval(ld); //移除"..."
	document.getElementById("location_one").innerHTML = "定位失败，请重新定位";
};
//重新定位
document.getElementById("reLocation").addEventListener("tap", function() {
	initLoadEvent();
	getMyLocation();
})
//修改地理位置
document.getElementById("modify").addEventListener("click", function() {
	document.getElementById("location_two").removeAttribute("readonly");
	document.getElementById("location_two").focus(); //获得焦点
	//			document.getElementById("location_two").style.clear; //清除样式
	document.getElementById("location_two").style.border = '0.1px  #2ba5eb solid'; //背景色
	document.getElementById("location_two").placeholder = '请输入具体地址';
	//			document.getElementById("location_two").style.background='#EEEEEE'; //背景色
});

//点击拍照弹窗选择方式
document.getElementById("camera").addEventListener("tap", function() {
	var picker = new mui.PopPicker();
	picker.setData([{
		value: 'pz',
		text: '拍照'
	}, {
		value: 'xc',
		text: "从手机相册中选择"
	}]);
	picker.show(function(selectItems) {
		if(selectItems[0].value == "pz") {
			pzPic(); //拍照
		} else {
			xc(); //相册
		}
	});
});

//拍照上传图片
function pzPic() {
	var camrera = plus.camera.getCamera();
	var res = camrera.supportedImageResolutions[0];
	var fmt = camrera.supportedVideoFormats[0];
	camrera.captureImage(function(p) {
		plus.io.resolveLocalFileSystemURL(p, function(entry) {
			pic.src = entry.toLocalURL(); //处理图片的地方
		}, function(e) {
			console.log("读取拍照图片错误" + e.message);
		});
	}, function(e) {
		console.log("拍照失败" + e.message);
	});
}

//本地相册上传
function xc() {
	// 从相册返回的路径不需要转换可以直接使用
	plus.gallery.pick(function(p) {
		pic.src = p;
		pic.realUrl = pic.src;
		uploadHead(p);
	});
}

var base64Code; //图片的base64位代码
//上传图片
function uploadHead(imgPath) {
	//			mainImage.src = imgPath;
	//			mainImage.style.width = "60px";
	//			mainImage.style.height = "60px";

	var image = new Image();
	image.src = imgPath;
	url = baseURL + "/shendongApp/editTool.do?actioncode=receivePic";
	image.onload = function() {
		base64Code = getBase64Image(image);
		//
		//				/*在这里调用上传接口*/
		//				mui.ajax(url, {
		//					data: {
		//						base64Code: base64Code,
		//						userID: userID
		//					},
		//					dataType: 'string',
		//					type: 'post',
		//					timeout: 10000,
		//					success: function(data) {
		//						console.log('上传成功');
		//					},
		//					error: function(xhr, type, errorThrown) {
		//						console.log('插入失败！');
		//					}
		//				});
	}
}
//将图片压缩转成base64
function getBase64Image(img) {
	var canvas = document.createElement("canvas");
	var width = img.width;
	var height = img.height;
	if(width > height) {
		if(width > 100) {
			height = Math.round(height = 100 * (height / width)); //math.round()四舍五入，保持图片高宽比
			width = 100;
		}
	} else {
		if(height > 100) {
			width = Math.round(width *= 100 / height);
			height = 100;
		}
	}
	canvas.width = width; /*设置新的图片的宽度*/
	canvas.height = height; /*设置新的图片的长度*/
	var ctx = canvas.getContext("2d"); //对象是内建的 HTML5 对象，拥有多种绘制路径、矩形、圆形、字符以及添加图像的方法。
	ctx.drawImage(img, 0, 0, width, height); /*绘图*/
	var dataURL = canvas.toDataURL("image/png", 0.8);
	return dataURL.replace("data:image/png;base64,", "");
}

//语音记录文本框
var str1 = "";
var str2 = "";
var position;
document.getElementById("text").addEventListener("tap", function() {
	var str = document.getElementById("text").value;
	setTimeout(function() {
		var s = document.getElementById("text");
		position = s.selectionEnd;
		str1 = str.substring(0, position);
		str2 = str.substring(position);
	}, 1000);
});
//语音识别
document.getElementById("speech").addEventListener("tap", function() {
	document.getElementById("text").blur(); //先失去焦点
	var content = "";
	var options = {};
	if(plus.navigator.checkPermission("record") == "denied") {
		plus.nativeUI.alert("请在设置中允许hdbbApp访问麦克风");
	} else {
		options.engine = "iFly";
		options.timeout = "10000"; //10s
		//lang:"",语音识别引擎的语言,默认中文
		options.continue = true; //语音识别设置不自动结束
		options.nbset = "1"; //返回候选结果个数
		options.userInterface = false; //不显示识别页面
		plus.speech.startRecognize(options, function dealData(s) {
			content += s;
			document.getElementById("text").value = str1 + content + str2;
		}, function dealError(e) {
			console.log("语音识别错误");
		});
	}
});
//点击保存上传数据
document.getElementById("save").addEventListener("tap", function() {

	var url = baseURL + "/shendongApp/editTool.do?actioncode=addVisitData";

	if(document.getElementById("phone").value.length > 7) {

	} else {
		plus.nativeUI.toast("电话格式错误");
		return false;
	}
	if(!document.getElementById("company").value) {
		plus.nativeUI.toast("请填写公司信息");
		return false;
	}
	if(!document.getElementById("people").value) {
		plus.nativeUI.toast("请填写拜访人信息");
		return false;
	}
	if(document.getElementById("text").value) { //若记录内容值不为空
		plus.nativeUI.showWaiting("上传中...");
		mui.ajax(url, {
			data: {
				user_id: JSON.parse(plus.storage.getItem("userInfo_xs")).user_id,
				picBase64: base64Code,
				visit_text: document.getElementById("text").value,
				visit_company: document.getElementById("company").value,
				visit_people: document.getElementById("people").value,
				visit_phone: document.getElementById("phone").value,
				visit_location: document.getElementById("location_one").innerHTML + document.getElementById("location_two").value,
				cusinf_id: document.getElementById("cusinf_id").innerText

			},
			dataType: 'string', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 8000, //超时时间设置为10秒；
			success: function(data) {
				plus.nativeUI.toast("上传成功");
				var ws = plus.webview.getWebviewById("visit_sub.html");
				mui.fire(ws, "refreshVisit");
				setTimeout(function() {
					plus.nativeUI.closeWaiting();
					mui.back();
				}, 1000);
			},
			error: function(xhr, type, errorThrown) {
				plus.nativeUI.toast("上传失败,请重试");
				plus.nativeUI.closeWaiting();
			}
		});
	} else {
		plus.nativeUI.toast("记录内容不能为空");
	}

});