mui.init({
	swipeBack: true,
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			height: 50, //可选,默认50.触发下拉刷新拖动距离,
			contentdown: "下拉刷新拜访列表", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
			contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
			contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载拜访数据...',
			contentnomore: "没有更多数据了",
			callback: pullupRefresh
		},
		deceleration: 0.0005,
		bounce: true
	}
});

var page = 1;
var baseURL;
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	page = 1;
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //下拉刷新结束
		getData(page);
		page++;
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		getData(page);
		page++;
	}, 300);
}
//在服务器请求数据
function getData(page) {
	if(page == 1) {
		mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
	}
	var url = baseURL + "/shendongApp/editTool.do?actioncode=getVisitData";
	var pagesize = 10;
	mui.ajax(url, {
		data: {
			user_id: JSON.parse(plus.storage.getItem("userInfo_xs")).user_id,
			page: page,
			pagesize: pagesize
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 8000, //超时时间设置为10秒；
		success: function(data) {
			if(data) {
				dealData(data.result, page);
			} else {
				if(page == 1) { //初次进入,没有摆放数据
					document.getElementById("visit").innerHTML = "<div style='text-align: center;height:3.0rem !important; line-height:2.7rem;font-size:1.4rem; color:heightgray;'>对不起，没有查询到更多拜访记录</div>";
				} else {
					document.getElementById("visit").innerHTML = document.getElementById("visit").innerHTML + "<div style='text-align: center;height:3.0rem !important; line-height:2.7rem;font-size:1.4rem; color:heightgray;'>对不起，没有查询到更多拜访记录</div>";
				}
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh(); //禁用上拉加载
			}
		},
		error: function(xhr, type, errorThrown) {
			dealError();
		}
	});
}
//处理列表数据
function dealData(data, page) {
	var html = "";
	var length = data.length;
	var flag = false;
	if(length < 10) {
		flag = true
	}
	mui('#pullrefresh').pullRefresh().endPullupToRefresh(flag); //参数为true代表没有更多数据了。
	for(var i = 0; i < length; i++) {
		html += "<div class='visit_main_unit' id='" + (data[i].visit_id == null ? "" : data[i].visit_id) + "'>";
		html += "<div class='visit_main_unit_time'>" + (data[i].visit_time == null ? "" : data[i].visit_time) + "</div>";
		html += "<div class='visit_main_unit_company'>" + (data[i].visit_company == null ? "" : data[i].visit_company) + "</div>";
		html += "<div class='visit_main_unit_other'>" + (data[i].record_text == null ? "" : data[i].record_text) + "</div>";
		html += "</div>";
		html += "<div class='visit_main_line'></div>";
	}
	if(page == "1") {
		document.getElementById("visit").innerHTML = html;
	} else {
		document.getElementById("visit").innerHTML = document.getElementById("visit").innerHTML + html;
	}
}
//点击拜访记录
mui("#visit").on("tap", ".visit_main_unit", function() {
	var visit_id = this.id;

	plus.nativeUI.showWaiting();
	openDetail(visit_id);
});
//打开详细
function openDetail(visit_id) {
	mui.openWindow({
		url: "visit_detail.html",
		id: "visit_detail.html",
		styles: {
			top: "0px",
			bottom: "0px"
		},
		show: {
			autoShow: true, //页面loaded事件发生后显示,默认true
			aniShow: "slide-in-right"
		},
		waiting: {
			autoShow: true //默认显示等待对话框
		},
		extras: {
			data: visit_id
		}
	});
}

function dealError() {
	console.log("服务器错误");
}
//监听新添加后刷新事件
window.addEventListener("refreshVisit", function() {
	getData(1);
});

if(mui.os.plus) {
	mui.plusReady(function() {
		baseURL = plus.storage.getItem("baseURL");
		setTimeout(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 10);
	});
} else {
	mui.ready(function() {
		mui('#pullrefresh').pullRefresh().pullupLoading();
	});
}
//待拜访
$("#no_follow").bind("tap", function() {
	plus.nativeUI.toast("该功能待开放~");
	return;
	$(this).attr("class", "gold_tab_unit_main_hover");
	$("#followed").attr("class", "gold_tab_unit_main");
});
//已拜访
$("#followed").bind("tap", function() {
	$(this).attr("class", "gold_tab_unit_main_hover");
	$("#no_follow").attr("class", "gold_tab_unit_main");
});